JavaBasedUDFunction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.functions

## Class JavaBasedUDFunction

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.UDFunction
    - - org.apache.cassandra.cql3.functions.JavaBasedUDFunction

- All Implemented Interfaces:
    AssignmentTestable, Function, ScalarFunction

      public final class JavaBasedUDFunction
      extends UDFunction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.UDFunction

      `argCodecs, argNames, body, calledOnNullInput, language, returnCodec, udfContext`

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, name, returnType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `executeAggregateUserDefined(ProtocolVersion protocolVersion, java.lang.Object firstParam, java.util.List<java.nio.ByteBuffer> params)`
    `protected java.nio.ByteBuffer` | `executeUserDefined(ProtocolVersion protocolVersion, java.util.List<java.nio.ByteBuffer> params)`
    `protected java.util.concurrent.ExecutorService` | `executor()`
    `static java.lang.String` | `javaSourceName(com.google.common.reflect.TypeToken<?> type)`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.UDFunction

      `argNames, assertUdfsEnabled, body, compose, compose, create, createBrokenFunction, decompose, decompose, equals, execute, executeForAggregate, hashCode, isAggregate, isCallableWrtNullable, isCalledOnNullInput, isNative, language, userTypeUpdated`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `addFunctionsTo, argTypes, columnName, hasReferenceTo, name, returnType, testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `addFunctionsTo, argTypes, columnName, hasReferenceTo, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Method Detail

    - #### executor

          protected java.util.concurrent.ExecutorService executor()

      Specified by:
        `executor` in class `UDFunction`

    - #### executeUserDefined

          protected java.nio.ByteBuffer executeUserDefined(ProtocolVersion protocolVersion,
                                                           java.util.List<java.nio.ByteBuffer> params)

      Specified by:
        `executeUserDefined` in class `UDFunction`

    - #### executeAggregateUserDefined

          protected java.lang.Object executeAggregateUserDefined(ProtocolVersion protocolVersion,
                                                                 java.lang.Object firstParam,
                                                                 java.util.List<java.nio.ByteBuffer> params)

      Specified by:
        `executeAggregateUserDefined` in class `UDFunction`

    - #### javaSourceName

          public static java.lang.String javaSourceName(com.google.common.reflect.TypeToken<?> type)

Copyright © 2018 The Apache Software Foundation